man(1)

NAME
nymead - An open source IoT (Internet of Things) server

SYNOPSIS
nymead [OPTION]

DESCRIPTION
The nymea daemon is a plugin based IoT (Internet of Things) server. The server works like a translator for devices, things and services and allows them to interact. With the powerful rule engine you are able to connect any device available in the system and create individual scenes and behaviors for your environment.

OPTIONS

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-n, --no-daemon
    Run nymead in the foreground, not as daemon.

-p, --print-all
    Enables all debug categories. Single debug categories can be disabled again with -d parameter.

-l, --log
    Specify a log file to write to, if this option is not specified, logs will be printed to the standard output.

--session
    If specified, all D-Bus interfaces will be bound to the session bus instead of the system bus.

-d, --debug, <[No]DebugCategory>
    Debug categories to enable. In order to disable a category which is enabled by default, you can add categories will be printed unless they are explicitly muted with "NoWarnings".

    Main debug categories:

    AWS (default disabled)
        Print the debug messages from the AWS connection.

    AWSTraffic (default disabled)
        Print the debug messages from the AWS connection traffic.

    Application (default enabled)
        Print the debug messages from the core application.

    PlatformZeroConfi (default disabled)
        Print the debug messages from the ZeroConf resource.

    Bluetooth (default disabled)
        Print the debug messages from the bluetooth resource.

    Cloud (default enabled)
        Print the debug messages from the Cloud connections in nymea.

    Coap (default disabled)
        Print the debug messages from the COaP resource.

    Connection (default enabled)
        Print the debug messages from the TCP connections in nymea.

    DeviceManager (default enabled)
        Print the debug messages from the device manager.

    Hardware (default disabled)
        Print the debug messages from hardware resources in nymea.

    JsonRpc (default disabled)
        Print the debug messages from JSON-RPC API.

    JsonRpcTraffic (default disabled)
        Print the debug messages from JSON-RPC API traffic.

    LogEngine (default disabled)
        Print the debug messages from logging engine.

    NetworkManager (default disabled)
        Print the debug messages from network manager.

    OAuth2 (default disabled)
        Print the debug messages of the OAuth2 resource.

    Rest (default disabled)
        Print the debug messages from REST API.

    RuleEngine (default enabled)
        Print the debug messages from the rule engine.

    RuleEngineDebug (default disabled)
        Print the debug messages from the rule engine with more details.

    TcpServer (default disabled)
        Print the debug messages from the TCP server.

    TcpServerTraffic (default disabled)
        Print the debug messages from the TCP server traffic.

    TimeManager (default disabled)
        Print the debug messages from the time manager.

    UPnP (default disabled)
        Print the debug messages from the UPnP resource.

    UserManager (default enabled)
        Print the debug messages from the user manager.

    Warning (default enabled)
        Print warnings.

    WebServer (default disabled)
        Print the debug messages from the web server.

    WebSocketServer (default disabled)
        Print the debug messages from the websocket server.

    WebSocketServerTraffic (default disabled)
        Print the debug messages from the websocket server traffic.

    Debug categories for plugins:
        Since nymea loads the plugins dynamically, the list of supported plugin debug categories depends on your plugin installation. Please use the -h command to see which categories are available for your system.

EXAMPLES

To start nymead in the foreground and read the debug messages from the Hardware:

    $ nymead -n -d Hardware

To start nymead in the foreground, disable debug messages from the DeviceManager and enable debug messages for JsonRpc and LogEngine:

    $ nymead -n -d NoDeviceManager -d JsonRpc -d LogEngine

To start nymead in the foreground, enable all debug messages except WebSocketServerTraffic and TcpServerTraffic:

    $ nymead -n -p -d NoWebSocketServerTraffic -d NoTcpServerTraffic

FILES
The server config file: /etc/nymea/nymead.conf
The devices config file: /etc/nymea/devices.conf
The rules config file: /etc/nymea/rules.conf
The plugins config file: /etc/nymea/plugins.conf
The log file: /var/log/nymead.log
The logging database: /var/log/nymead.sqlite
The systemd unit file: /lib/systemd/system/nymead.service
The plugins directory: /usr/lib/<arch-triplet>/nymea/plugins/

SEE ALSO
Full developer documentation at: <https://doc.nymea.io>
Wiki: <https://wiki.nymea.io>

REPORTING BUGS
Issue tracker on github: <https://github.com/nymea/nymea/issues>

AUTHOR
Written by Simon Stürz and Michael Zanetti

COPYRIGHT
Copyright © 2013-2024 nymea GmbH.
Copyright © 2024-2025 chargebyte austria GmbH.
License GPLv3+: GNU GPL version 3 or later <https://www.gnu.org/licenses/gpl-3.0.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.